# ArrayIterator::offsetGet

(PHP 5, PHP 7)

ArrayIterator::offsetGet — Get value for an offset

### Description

public ArrayIterator::offsetGet ( mixed `$index` ) : mixed

Gets the value from the provided offset.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`index`

  The offset to get the value from.

### Return Values

The value at offset `index`.

### See Also

- ArrayIterator::offsetSet() - Set value for an offset
- ArrayIterator::offsetUnset() - Unset value for an offset